import type { UmbBlockSingleValueModel } from '../../types.js';
import { UmbLitElement } from '../../../../core/lit-element/index.js';
import { nothing, type PropertyValueMap } from '../../../../../external/lit/index.js';
import type { UmbPropertyEditorConfigCollection, UmbPropertyEditorUiElement } from '../../../../core/property-editor/index.js';
import '../../components/block-single-entry/index.js';
declare const UmbPropertyEditorUIBlockSingleElement_base: import("../../../../../libs/extension-api/index.js").HTMLElementConstructor<import("../../../../core/validation/index.js").UmbFormControlMixinElement<UmbBlockSingleValueModel | undefined>> & typeof UmbLitElement;
export declare class UmbPropertyEditorUIBlockSingleElement extends UmbPropertyEditorUIBlockSingleElement_base implements UmbPropertyEditorUiElement {
    #private;
    set value(value: UmbBlockSingleValueModel | undefined);
    get value(): UmbBlockSingleValueModel | undefined;
    private _createButtonLabel;
    set config(config: UmbPropertyEditorConfigCollection | undefined);
    /**
     * Sets the input to readonly mode, meaning value cannot be changed but still able to read and select its content.
     * @type {boolean}
     * @default
     */
    set readonly(value: boolean);
    get readonly(): boolean;
    mandatory?: boolean;
    mandatoryMessage?: string | undefined;
    private _blocks?;
    private _layouts;
    private _catalogueRouteBuilder?;
    private _notSupportedVariantSetting?;
    constructor();
    protected willUpdate(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    protected getFormElement(): undefined;
    render(): typeof nothing | import("lit-html").TemplateResult<1>;
    static readonly styles: import("lit").CSSResult[];
}
export default UmbPropertyEditorUIBlockSingleElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-property-editor-ui-block-single': UmbPropertyEditorUIBlockSingleElement;
    }
}
